import type { App } from 'vue'

export default {
	install(app: App) {
		const directivesList = import.meta.glob('./*.ts', { eager: true }) as any;
		Object.keys(directivesList).forEach(key => {
			app.directive(directivesList[key].default.name, directivesList[key].default);
		});
	}
};